<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.jca.distributed-workmanager" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="elytron-enabled,name,policy,policy-options,selector,selector-options"/>
        <elem name="addr-params" value="profile,subsystem,distributed-workmanager"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.jca"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.connector.workmanager.$distributed-workmanager"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.default-command-dispatcher-factory"/>
    </requires>
    <refs>
        <ref feature="subsystem.jca"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="policy-options" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="name" stability="default"/>
        <param name="subsystem" feature-id="true" default="jca"/>
        <param name="elytron-enabled" nillable="true" stability="default"/>
        <param name="distributed-workmanager" feature-id="true"/>
        <param name="selector" nillable="true" stability="default"/>
        <param name="selector-options" nillable="true" stability="default"/>
        <param name="policy" nillable="true" stability="default"/>
    </params>
</feature-spec>